Index: unk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/classes.nib
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/classes.nib	(revision 403)
+++ 	(revision )
@@ -1,34 +1,0 @@
-{
-    IBClasses = (
-        {
-            ACTIONS = {
-                "FSA_associateAndOpenBrowser" = id; 
-                "FSA_associateWithInterface" = id; 
-                setFloating = id; 
-            }; 
-            CLASS = FSAController; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {interpreterView = FSInterpreterView; }; 
-            SUPERCLASS = NSWindowController; 
-        }, 
-        {
-            ACTIONS = {newBigBrowser = id; newKVBrowser = id; }; 
-            CLASS = FSInterpreterView; 
-            LANGUAGE = ObjC; 
-            OUTLETS = {
-                object1 = id; 
-                object2 = id; 
-                object3 = id; 
-                object4 = id; 
-                object5 = id; 
-                object6 = id; 
-                object7 = id; 
-                object8 = id; 
-                object9 = id; 
-            }; 
-            SUPERCLASS = NSView; 
-        }, 
-        {CLASS = FirstResponder; LANGUAGE = ObjC; SUPERCLASS = NSObject; }
-    ); 
-    IBVersion = 1; 
-}
Index: /trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/designable.nib
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/designable.nib	(revision 404)
+++ /trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/designable.nib	(revision 404)
@@ -0,0 +1,666 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<archive type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="7.01">
+	<data>
+		<int key="IBDocument.SystemTarget">1050</int>
+		<string key="IBDocument.SystemVersion">9C31</string>
+		<string key="IBDocument.InterfaceBuilderVersion">629</string>
+		<string key="IBDocument.AppKitVersion">949.26</string>
+		<string key="IBDocument.HIToolboxVersion">352.00</string>
+		<object class="NSMutableArray" key="IBDocument.EditedObjectIDs">
+			<bool key="EncodedWithXMLCoder">YES</bool>
+			<integer value="6"/>
+		</object>
+		<object class="NSArray" key="IBDocument.PluginDependencies">
+			<bool key="EncodedWithXMLCoder">YES</bool>
+			<string id="404824708">com.apple.InterfaceBuilder.CocoaPlugin</string>
+		</object>
+		<object class="NSMutableArray" key="IBDocument.RootObjects" id="915907452">
+			<bool key="EncodedWithXMLCoder">YES</bool>
+			<object class="NSCustomObject" id="849285759">
+				<string key="NSClassName" id="357322217">FSAController</string>
+			</object>
+			<object class="NSCustomObject" id="861952984">
+				<string key="NSClassName" id="904778498">FirstResponder</string>
+			</object>
+			<object class="NSCustomObject" id="644899216">
+				<string key="NSClassName">NSApplication</string>
+			</object>
+			<object class="NSWindowTemplate" id="480344660">
+				<int key="NSWindowStyleMask">27</int>
+				<int key="NSWindowBacking">2</int>
+				<string key="NSWindowRect">{{705, 192}, {360, 264}}</string>
+				<int key="NSWTFlags">-1334311936</int>
+				<string key="NSWindowTitle" id="85461633">F-Script Anywhere</string>
+				<string key="NSWindowClass">NSPanel</string>
+				<object class="NSMutableString" key="NSViewClass">
+					<characters key="NS.bytes">View</characters>
+				</object>
+				<object class="NSView" key="NSWindowView" id="172318464">
+					<reference key="NSNextResponder"/>
+					<int key="NSvFlags">256</int>
+					<object class="NSMutableArray" key="NSSubviews">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="FSInterpreterView" id="257941346">
+							<reference key="NSNextResponder" ref="172318464"/>
+							<int key="NSvFlags">274</int>
+							<object class="NSMutableArray" key="NSSubviews">
+								<bool key="EncodedWithXMLCoder">YES</bool>
+								<object class="CLIView">
+									<reference key="NSNextResponder" ref="257941346"/>
+									<int key="NSvFlags">274</int>
+									<string key="NSFrameSize">{360, 234}</string>
+									<reference key="NSSuperview" ref="257941346"/>
+									<reference key="NSWindow"/>
+									<bool key="shouldRetainCommandHandler">NO</bool>
+									<reference key="commandHandler" ref="257941346"/>
+								</object>
+							</object>
+							<string key="NSFrame">{{0, 30}, {360, 234}}</string>
+							<reference key="NSSuperview" ref="172318464"/>
+							<reference key="NSWindow"/>
+							<object class="FSInterpreter" key="interpreter" id="951530180">
+								<object class="FSExecutor" key="executor">
+									<reference key="interpreter" ref="951530180"/>
+									<bool key="shouldJournal">NO</bool>
+									<object class="SymbolTable" key="symbolTable">
+										<nil key="parent"/>
+										<object class="NSMutableArray" key="localsArray">
+											<bool key="EncodedWithXMLCoder">YES</bool>
+											<object class="SymbolTableValueWrapper">
+												<int key="status">0</int>
+												<object class="NSNull" key="value"/>
+												<string key="symbol">sys</string>
+											</object>
+										</object>
+										<bool key="tryToAttachWhenDecoding">NO</bool>
+									</object>
+								</object>
+							</object>
+						</object>
+						<object class="NSButton" id="398774288">
+							<reference key="NSNextResponder" ref="172318464"/>
+							<int key="NSvFlags">257</int>
+							<string key="NSFrame">{{292, 7}, {50, 16}}</string>
+							<reference key="NSSuperview" ref="172318464"/>
+							<reference key="NSWindow"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="887251214">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">131072</int>
+								<string key="NSContents">Float</string>
+								<object class="NSFont" key="NSSupport" id="26">
+									<string key="NSName" id="830463060">LucidaGrande</string>
+									<double key="NSSize">1.100000e+01</double>
+									<int key="NSfFlags">3100</int>
+								</object>
+								<reference key="NSControlView" ref="398774288"/>
+								<int key="NSButtonFlags">1211912703</int>
+								<int key="NSButtonFlags2">2</int>
+								<object class="NSButtonImageSource" key="NSAlternateImage">
+									<string key="NSImageName">NSSwitch</string>
+								</object>
+								<string key="NSAlternateContents" id="281651569"/>
+								<reference key="NSKeyEquivalent" ref="281651569"/>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="154095424">
+							<reference key="NSNextResponder" ref="172318464"/>
+							<int key="NSvFlags">256</int>
+							<string key="NSFrame">{{5, 5}, {92, 18}}</string>
+							<reference key="NSSuperview" ref="172318464"/>
+							<reference key="NSWindow"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="102769611">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">134348800</int>
+								<string key="NSContents">Open Browser</string>
+								<reference key="NSSupport" ref="26"/>
+								<reference key="NSControlView" ref="154095424"/>
+								<int key="NSButtonFlags">-2038284033</int>
+								<int key="NSButtonFlags2">32</int>
+								<object class="NSFont" key="NSAlternateImage">
+									<reference key="NSName" ref="830463060"/>
+									<double key="NSSize">1.100000e+01</double>
+									<int key="NSfFlags">16</int>
+								</object>
+								<reference key="NSAlternateContents" ref="281651569"/>
+								<object class="NSMutableString" key="NSKeyEquivalent">
+									<characters key="NS.bytes"/>
+								</object>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+						<object class="NSButton" id="368144339">
+							<reference key="NSNextResponder" ref="172318464"/>
+							<int key="NSvFlags">256</int>
+							<string key="NSFrame">{{103, 5}, {129, 18}}</string>
+							<reference key="NSSuperview" ref="172318464"/>
+							<reference key="NSWindow"/>
+							<bool key="NSEnabled">YES</bool>
+							<object class="NSButtonCell" key="NSCell" id="2665014">
+								<int key="NSCellFlags">67239424</int>
+								<int key="NSCellFlags2">134348800</int>
+								<string key="NSContents">Browser For Target...</string>
+								<reference key="NSSupport" ref="26"/>
+								<reference key="NSControlView" ref="368144339"/>
+								<int key="NSButtonFlags">-2038284033</int>
+								<int key="NSButtonFlags2">32</int>
+								<object class="NSFont" key="NSAlternateImage">
+									<string key="NSName">Helvetica</string>
+									<double key="NSSize">1.100000e+01</double>
+									<int key="NSfFlags">16</int>
+								</object>
+								<reference key="NSAlternateContents" ref="281651569"/>
+								<object class="NSMutableString" key="NSKeyEquivalent">
+									<characters key="NS.bytes"/>
+								</object>
+								<int key="NSPeriodicDelay">200</int>
+								<int key="NSPeriodicInterval">25</int>
+							</object>
+						</object>
+					</object>
+					<string key="NSFrameSize">{360, 264}</string>
+					<reference key="NSSuperview"/>
+					<reference key="NSWindow"/>
+				</object>
+				<string key="NSScreenRect">{{0, 0}, {1920, 1178}}</string>
+				<string key="NSMinSize">{360, 116}</string>
+				<string key="NSMaxSize">{3.40282e+38, 3.40282e+38}</string>
+				<reference key="NSFrameAutosaveName" ref="85461633"/>
+			</object>
+		</object>
+		<object class="IBObjectContainer" key="IBDocument.Objects">
+			<object class="NSMutableArray" key="connectionRecords">
+				<bool key="EncodedWithXMLCoder">YES</bool>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">initialFirstResponder</string>
+						<reference key="source" ref="480344660"/>
+						<reference key="destination" ref="257941346"/>
+					</object>
+					<int key="connectionID">9</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">window</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="480344660"/>
+					</object>
+					<int key="connectionID">10</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">interpreterView</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="257941346"/>
+					</object>
+					<int key="connectionID">11</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBActionConnection" key="connection">
+						<string key="label">setFloating:</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="398774288"/>
+					</object>
+					<int key="connectionID">14</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBActionConnection" key="connection">
+						<string key="label" id="671833149">newBigBrowser:</string>
+						<reference key="source" ref="257941346"/>
+						<reference key="destination" ref="154095424"/>
+					</object>
+					<int key="connectionID">46</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBActionConnection" key="connection">
+						<string key="label">FSA_associateAndOpenBrowser:</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="368144339"/>
+					</object>
+					<int key="connectionID">48</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">openBrowserButton</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="154095424"/>
+					</object>
+					<int key="connectionID">54</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">associateWithInterfaceButton</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="368144339"/>
+					</object>
+					<int key="connectionID">55</int>
+				</object>
+				<object class="IBConnectionRecord">
+					<object class="IBOutletConnection" key="connection">
+						<string key="label">floatButtonCell</string>
+						<reference key="source" ref="849285759"/>
+						<reference key="destination" ref="887251214"/>
+					</object>
+					<int key="connectionID">56</int>
+				</object>
+			</object>
+			<object class="IBMutableOrderedSet" key="objectRecords">
+				<object class="NSArray" key="orderedObjects">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+					<object class="IBObjectRecord">
+						<int key="objectID">0</int>
+						<object class="NSArray" key="object" id="634582134">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+						<reference key="children" ref="915907452"/>
+						<nil key="parent"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">-2</int>
+						<reference key="object" ref="849285759"/>
+						<reference key="parent" ref="634582134"/>
+						<string type="base64-UTF8" key="objectName">RmlsZSdzIE93bmVyA</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">-1</int>
+						<reference key="object" ref="861952984"/>
+						<reference key="parent" ref="634582134"/>
+						<string key="objectName">First Responder</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">5</int>
+						<reference key="object" ref="480344660"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="172318464"/>
+						</object>
+						<reference key="parent" ref="634582134"/>
+						<string key="objectName">Panel</string>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">6</int>
+						<reference key="object" ref="172318464"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="257941346"/>
+							<reference ref="398774288"/>
+							<reference ref="154095424"/>
+							<reference ref="368144339"/>
+						</object>
+						<reference key="parent" ref="480344660"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">7</int>
+						<reference key="object" ref="257941346"/>
+						<reference key="parent" ref="172318464"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">13</int>
+						<reference key="object" ref="398774288"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="887251214"/>
+						</object>
+						<reference key="parent" ref="172318464"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">44</int>
+						<reference key="object" ref="154095424"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="102769611"/>
+						</object>
+						<reference key="parent" ref="172318464"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">45</int>
+						<reference key="object" ref="368144339"/>
+						<object class="NSMutableArray" key="children">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="2665014"/>
+						</object>
+						<reference key="parent" ref="172318464"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">50</int>
+						<reference key="object" ref="887251214"/>
+						<reference key="parent" ref="398774288"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">52</int>
+						<reference key="object" ref="102769611"/>
+						<reference key="parent" ref="154095424"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">53</int>
+						<reference key="object" ref="2665014"/>
+						<reference key="parent" ref="368144339"/>
+					</object>
+					<object class="IBObjectRecord">
+						<int key="objectID">-3</int>
+						<reference key="object" ref="644899216"/>
+						<reference key="parent" ref="634582134"/>
+						<string key="objectName">Application</string>
+					</object>
+				</object>
+			</object>
+			<object class="NSMutableDictionary" key="flattenedProperties">
+				<bool key="EncodedWithXMLCoder">YES</bool>
+				<object class="NSMutableArray" key="dict.sortedKeys">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+					<string>-1.IBPluginDependency</string>
+					<string>-2.IBPluginDependency</string>
+					<string>13.IBAttributePlaceholdersKey</string>
+					<string>13.IBPluginDependency</string>
+					<string>13.ImportedFromIB2</string>
+					<string>44.IBPluginDependency</string>
+					<string>44.ImportedFromIB2</string>
+					<string>45.IBPluginDependency</string>
+					<string>45.ImportedFromIB2</string>
+					<string>5.IBPluginDependency</string>
+					<string>5.IBWindowTemplateEditedContentRect</string>
+					<string>5.ImportedFromIB2</string>
+					<string>5.editorWindowContentRectSynchronizationRect</string>
+					<string>5.windowTemplate.hasMaxSize</string>
+					<string>5.windowTemplate.hasMinSize</string>
+					<string>5.windowTemplate.maxSize</string>
+					<string>5.windowTemplate.minSize</string>
+					<string>6.IBPluginDependency</string>
+					<string>6.ImportedFromIB2</string>
+					<string>7.IBPluginDependency</string>
+					<string>7.ImportedFromIB2</string>
+				</object>
+				<object class="NSMutableArray" key="dict.values">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+					<reference ref="404824708"/>
+					<reference ref="404824708"/>
+					<object class="NSMutableDictionary">
+						<string key="NS.key.0" id="784703170">ToolTip</string>
+						<object class="IBToolTipAttribute" key="NS.object.0">
+							<reference key="name" ref="784703170"/>
+							<reference key="object" ref="398774288"/>
+							<string key="toolTip">When checked, this palette floats above other windows.</string>
+						</object>
+					</object>
+					<reference ref="404824708"/>
+					<integer value="1" id="9"/>
+					<reference ref="404824708"/>
+					<reference ref="9"/>
+					<reference ref="404824708"/>
+					<reference ref="9"/>
+					<reference ref="404824708"/>
+					<string id="741565066">{{705, 192}, {360, 264}}</string>
+					<reference ref="9"/>
+					<reference ref="741565066"/>
+					<reference ref="9"/>
+					<reference ref="9"/>
+					<string>{3.40282e+38, 3.40282e+38}</string>
+					<string>{360, 100}</string>
+					<reference ref="404824708"/>
+					<reference ref="9"/>
+					<reference ref="404824708"/>
+					<reference ref="9"/>
+				</object>
+			</object>
+			<object class="NSMutableDictionary" key="unlocalizedProperties">
+				<bool key="EncodedWithXMLCoder">YES</bool>
+				<object class="NSArray" key="dict.sortedKeys">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+				</object>
+				<object class="NSMutableArray" key="dict.values">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+				</object>
+			</object>
+			<nil key="activeLocalization"/>
+			<object class="NSMutableDictionary" key="localizations">
+				<bool key="EncodedWithXMLCoder">YES</bool>
+				<object class="NSArray" key="dict.sortedKeys">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+				</object>
+				<object class="NSMutableArray" key="dict.values">
+					<bool key="EncodedWithXMLCoder">YES</bool>
+				</object>
+			</object>
+			<nil key="sourceID"/>
+			<int key="maxID">56</int>
+		</object>
+		<object class="IBClassDescriber" key="IBDocument.Classes">
+			<object class="NSMutableArray" key="referencedPartialClassDescriptions">
+				<bool key="EncodedWithXMLCoder">YES</bool>
+				<object class="IBPartialClassDescription">
+					<reference key="className" ref="904778498"/>
+					<nil key="superclassName"/>
+					<object class="NSMutableDictionary" key="actions">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+					</object>
+					<object class="NSMutableDictionary" key="outlets">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+					</object>
+					<object class="IBClassDescriptionSource" key="sourceIdentifier">
+						<string key="majorKey" id="15864470">IBUserSource</string>
+						<reference key="minorKey" ref="281651569"/>
+					</object>
+				</object>
+				<object class="IBPartialClassDescription">
+					<string key="className">FSAController</string>
+					<string key="superclassName">NSWindowController</string>
+					<object class="NSMutableDictionary" key="actions">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSMutableArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string>FSA_associateAndOpenBrowser:</string>
+							<string>FSA_associateWithInterface:</string>
+							<string>setFloating:</string>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string id="345541481">id</string>
+							<reference ref="345541481"/>
+							<reference ref="345541481"/>
+						</object>
+					</object>
+					<object class="NSMutableDictionary" key="outlets">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSMutableArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string>associateWithInterfaceButton</string>
+							<string>floatButtonCell</string>
+							<string>interpreterView</string>
+							<string>openBrowserButton</string>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string id="1023988678">NSButton</string>
+							<string>NSButtonCell</string>
+							<string>FSInterpreterView</string>
+							<reference ref="1023988678"/>
+						</object>
+					</object>
+					<object class="IBClassDescriptionSource" key="sourceIdentifier">
+						<string key="majorKey">IBProjectSource</string>
+						<string key="minorKey">FSAController.h</string>
+					</object>
+				</object>
+				<object class="IBPartialClassDescription">
+					<reference key="className" ref="357322217"/>
+					<string key="superclassName">NSWindowController</string>
+					<object class="NSMutableDictionary" key="actions">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+					</object>
+					<object class="NSMutableDictionary" key="outlets">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+					</object>
+					<object class="IBClassDescriptionSource" key="sourceIdentifier">
+						<reference key="majorKey" ref="15864470"/>
+						<reference key="minorKey" ref="281651569"/>
+					</object>
+				</object>
+				<object class="IBPartialClassDescription">
+					<string key="className">FSInterpreterView</string>
+					<nil key="superclassName"/>
+					<object class="NSMutableDictionary" key="actions">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSMutableArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<reference ref="671833149"/>
+							<string>newKVBrowser:</string>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+							<string id="92539638">id</string>
+							<reference ref="92539638"/>
+						</object>
+					</object>
+					<object class="NSMutableDictionary" key="outlets">
+						<bool key="EncodedWithXMLCoder">YES</bool>
+						<object class="NSArray" key="dict.sortedKeys">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+						<object class="NSMutableArray" key="dict.values">
+							<bool key="EncodedWithXMLCoder">YES</bool>
+						</object>
+					</object>
+					<object class="IBClassDescriptionSource" key="sourceIdentifier">
+						<reference key="majorKey" ref="15864470"/>
+						<reference key="minorKey" ref="281651569"/>
+					</object>
+				</object>
+			</object>
+		</object>
+		<int key="IBDocument.localizationMode">0</int>
+		<string key="IBDocument.LastKnownRelativeProjectPath">../../F-Script Anywhere.xcodeproj</string>
+		<int key="IBDocument.defaultPropertyAccessControl">3</int>
+		<object class="NSMutableData" key="IBDocument.RunnableNib">
+			<bytes key="NS.bytes">YnBsaXN0MDDUAAEAAgADAAQABQAGAAkAClgkdmVyc2lvblQkdG9wWSRhcmNoaXZlclgkb2JqZWN0cxIA
+AYag0QAHAAhdSUIub2JqZWN0ZGF0YYABXxAPTlNLZXllZEFyY2hpdmVyrxCOAAsADAAxADUANgA8AD0A
+QQBFAFIAWgBqAHMACwB0AI4AjwCXAJgAmwCfAKAAowCnAKsAsQC7AL8AyQDKAM0A0QDSANYA3QDlAOkA
+8QDzAPYA9wD6AP0BAAEDAQYBBwELARABEQEUARkBGgEfATkBOgE7ATwBPwFGAU8BUAFaAVsBXwFgAWMB
+awFsAXQBdQF4AXkBewALAXwBfgF/AYABgQGEAYUBigGLAZABkQGWAZcBnAGdAaIBowGqAasBrAGvAbwB
+vwHAAcIBzwHdAesB7AHtAe4B7wHwAfEB8gHzAfQB9QH2AfkB/AIUAiwCLQIuAi8CMAIxAjICMwI0AjUC
+NgI3AjgCOQI6AjsCPAI9Aj4CPwJAAkECRAJHAkpVJG51bGzfEBIADQAOAA8AEAARABIAEwAUABUAFgAX
+ABgAGQAaABsAHAAdAB4AHwAgACEAIgAjACQAJQAmACcAKAApACoAKwAsAC0ALgAvADBWTlNSb290ViRj
+bGFzc11OU09iamVjdHNLZXlzXxAPTlNDbGFzc2VzVmFsdWVzXxAZTlNBY2Nlc3NpYmlsaXR5T2lkc1Zh
+bHVlc11OU0Nvbm5lY3Rpb25zW05TTmFtZXNLZXlzW05TRnJhbWV3b3JrXU5TQ2xhc3Nlc0tleXNaTlNP
+aWRzS2V5c11OU05hbWVzVmFsdWVzXxAZTlNBY2Nlc3NpYmlsaXR5Q29ubmVjdG9yc11OU0ZvbnRNYW5h
+Z2VyXxAQTlNWaXNpYmxlV2luZG93c18QD05TT2JqZWN0c1ZhbHVlc18QF05TQWNjZXNzaWJpbGl0eU9p
+ZHNLZXlzWU5TTmV4dE9pZFxOU09pZHNWYWx1ZXOAAoCNgF+AcoCMgAiAZIAFgHGAc4BlgIqAAIAGgGOA
+ixA7gHTSAA4AMgAzADRbTlNDbGFzc05hbWWABIADXUZTQUNvbnRyb2xsZXLSADcAOAA5ADpYJGNsYXNz
+ZXNaJGNsYXNzbmFtZaIAOgA7Xk5TQ3VzdG9tT2JqZWN0WE5TT2JqZWN0XxAQSUJDb2NvYUZyYW1ld29y
+a9IADgA+AD8AQFpOUy5vYmplY3RzgAeg0gA3ADgAQgBDowBDAEQAO1xOU011dGFibGVTZXRVTlNTZXTS
+AA4APgBGAEeAHqoASABJAEoASwBMAE0ATgBPAFAAUYAJgC+AMoA0gFGAU4BVgFeAWYBb1AAOAFMAVABV
+AFYAVwBYAFldTlNEZXN0aW5hdGlvblhOU1NvdXJjZVdOU0xhYmVsgC6AGYAKgC3YAFsADgBcAF0AXgBf
+AGAAYQBiAGMAZABlAGYAZwBoAGJfEA9OU05leHRSZXNwb25kZXJXTlNGcmFtZVZOU0NlbGxYTlN2Rmxh
+Z3NZTlNFbmFibGVkWE5TV2luZG93W05TU3VwZXJ2aWV3gAuAGIAMgA4RAQAJgA2AC9cAWwAOAGsAXgBs
+AGAAYQBoAG4AbwBmAHAAaAByWk5TU3Vidmlld3NbTlNGcmFtZVNpemWADYBLgDqASYANgEpfEBJ7ezUs
+IDV9LCB7OTIsIDE4fX3dAHUADgB2AHcAeAB5AHoAewB8AH0AfgB/AIAAgQCCAIMAhACFAIYAhwCIAIkA
+WACLAIwAjVtOU0NlbGxGbGFnc18QE05TQWx0ZXJuYXRlQ29udGVudHNfEBJOU1BlcmlvZGljSW50ZXJ2
+YWxeTlNCdXR0b25GbGFnczJfEBBOU0FsdGVybmF0ZUltYWdlXxAPTlNLZXlFcXVpdmFsZW50Wk5TQ29u
+dGVudHNZTlNTdXBwb3J0XU5TQ29udHJvbFZpZXdfEA9OU1BlcmlvZGljRGVsYXlcTlNDZWxsRmxhZ3My
+XU5TQnV0dG9uRmxhZ3MSBAH+AIAXgBQQGRAggBOAFYAPgBCAChDIEggCAAAT/////4aCQP9cT3BlbiBC
+cm93c2Vy1AAOAJAAkQCSAJMAlACVAJZWTlNTaXplVk5TTmFtZVhOU2ZGbGFnc4ASI0AmAAAAAAAAgBER
+DBxcTHVjaWRhR3JhbmRl0gA3ADgAmQCaogCaADtWTlNGb2501AAOAJAAkQCSAJMAlACVAJ6AEoAREBBQ
+0gAOAKEAogCfWU5TLnN0cmluZ4AW0gA3ADgApAClowClAKYAO18QD05TTXV0YWJsZVN0cmluZ1hOU1N0
+cmluZ9IANwA4AKgAqaQAqQCqAF0AO1xOU0J1dHRvbkNlbGxcTlNBY3Rpb25DZWxs0gA3ADgArACtpQCt
+AK4ArwCwADtYTlNCdXR0b25ZTlNDb250cm9sVk5TVmlld1tOU1Jlc3BvbmRlctgAWwAOAFwAawBeAGAA
+sgBhAGIAtAC1ALYAtwBoALkAYltpbnRlcnByZXRlcoALgCyAH4AaEQESgA2AIIAL0gAOAD4ARgC9gB6h
+AL6AG9gAWwAOAMAAwQBeAGwAYABhAFcAwwBXAMUAtwDGAGgAV15jb21tYW5kSGFuZGxlcl8QGnNob3Vs
+ZFJldGFpbkNvbW1hbmRIYW5kbGVygBmAHYAZCIAcgA2AGVp7MzYwLCAyMzR90gA3ADgAywDMpADMAK8A
+sAA7V0NMSVZpZXfSADcAOADOAM+jAM8A0AA7Xk5TTXV0YWJsZUFycmF5V05TQXJyYXlfEBV7ezAsIDMw
+fSwgezM2MCwgMjM0fX3SAA4A0wDUANVYZXhlY3V0b3KAK4Ah1AAOANcA2ACyANkA2gDFALlbc3ltYm9s
+VGFibGVdc2hvdWxkSm91cm5hbIAqgCIIgCDUAA4A3gDfAOAA4QDiACsAxVtsb2NhbHNBcnJheVZwYXJl
+bnRfEBd0cnlUb0F0dGFjaFdoZW5EZWNvZGluZ4ApgCOAAAjSAA4APgBGAOeAHqEA6IAk1AAOAOoA6wDs
+AO0A7gDvAPBWc3RhdHVzVnN5bWJvbFV2YWx1ZYAoEACAJ4Al0QAOAPKAJtIANwA4APQA9aIA9QA7Vk5T
+TnVsbFNzeXPSADcAOAD4APmiAPkAO18QF1N5bWJvbFRhYmxlVmFsdWVXcmFwcGVy0gA3ADgA+wD8ogD8
+ADtbU3ltYm9sVGFibGXSADcAOAD+AP+iAP8AO1pGU0V4ZWN1dG9y0gA3ADgBAQECogECADtdRlNJbnRl
+cnByZXRlctIANwA4AQQBBaQBBQCvALAAO18QEUZTSW50ZXJwcmV0ZXJWaWV3Xm5ld0JpZ0Jyb3dzZXI6
+0gA3ADgBCAEJowEJAQoAO18QFU5TTmliQ29udHJvbENvbm5lY3Rvcl5OU05pYkNvbm5lY3RvctQADgBT
+AFQAVQEMAFcAHwEPgDGAGYACgDBfEA9pbnRlcnByZXRlclZpZXfSADcAOAESAROjARMBCgA7XxAUTlNO
+aWJPdXRsZXRDb25uZWN0b3LUAA4AUwBUAFUBDABYAB8BGIAxgAqAAoAzXxARb3BlbkJyb3dzZXJCdXR0
+b27UAA4AUwBUAFUBDABXAR0BHoAxgBmANYBQ3QEgAA4BIQEiASMBJAElASYBJwEoASkBKgErAGIBLQEu
+AS8BLwExATIBMwE0ATUBNgE3AThcTlNXaW5kb3dWaWV3XE5TU2NyZWVuUmVjdF8QE05TRnJhbWVBdXRv
+c2F2ZU5hbWVdTlNXaW5kb3dUaXRsZVlOU1dURmxhZ3NdTlNXaW5kb3dDbGFzc1xOU1dpbmRvd1JlY3RZ
+TlNNYXhTaXplXxAPTlNXaW5kb3dCYWNraW5nXxARTlNXaW5kb3dTdHlsZU1hc2tZTlNNaW5TaXplW05T
+Vmlld0NsYXNzgAuAT4BMgDeANxP/////sHgEAIA4gDaAThACEBuATYA5XxAYe3s3MDUsIDE5Mn0sIHsz
+NjAsIDI2NH19XxARRi1TY3JpcHQgQW55d2hlcmVXTlNQYW5lbNIADgChAKIBPoAWVFZpZXfSAA4APgBG
+AUGAHqQAVwFDAFgBRYAZgDuACoBC2ABbAA4AXABdAF4AXwBgAGEAYgBjAUkBSgFLAGcAaABigAuAGIA8
+gD0RAQEJgA2AC18QFHt7MjkyLCA3fSwgezUwLCAxNn193QB1AA4AdgB3AHgAeQB6AHsAfAB9AH4AfwCA
+AIEAggCDAIQBNQFTAIMBVQCJAUMAiwFYAVmAF4AUgD+AFIA+gBCAOxIAAgAAEkg8Uf9VRmxvYXTSAA4B
+XAFdAV5bTlNJbWFnZU5hbWWAQYBAWE5TU3dpdGNo0gA3ADgBYQFiogFiADtfEBNOU0J1dHRvbkltYWdl
+U291cmNl2ABbAA4AXABdAF4AXwBgAGEAYgBjAWYBZwBmAGcAaABigAuAGIBDgEQJgA2AC18QFXt7MTAz
+LCA1fSwgezEyOSwgMTh9fd0AdQAOAHYAdwB4AHkAegB7AHwAfQB+AH8AgACBAIIAgwCEAIUBbwFwAXEA
+iQFFAIsAjACNgBeAFIBGgEiARYAQgEJfEBVCcm93c2VyIEZvciBUYXJnZXQuLi7UAA4AkACRAJIAkwCU
+AXcAnoASgEdZSGVsdmV0aWNh0gAOAKEAogCfgBZaezM2MCwgMjY0fdIANwA4AX0Ar6MArwCwADtfEBZ7
+ezAsIDB9LCB7MTkyMCwgMTE3OH19WnszNjAsIDExNn1fEBp7My40MDI4MmUrMzgsIDMuNDAyODJlKzM4
+fdIANwA4AYIBg6IBgwA7XxAQTlNXaW5kb3dUZW1wbGF0ZV8QFWluaXRpYWxGaXJzdFJlc3BvbmRlctQA
+DgBTAFQAVQBWAB8BQwGJgC6AAoA7gFJcc2V0RmxvYXRpbmc61AAOAFMAVABVAQwBRQAfAY+AMYBCgAKA
+VF8QHGFzc29jaWF0ZVdpdGhJbnRlcmZhY2VCdXR0b27UAA4AUwBUAFUBDAEdAB8BlYAxgDWAAoBWVndp
+bmRvd9QADgBTAFQAVQEMAUoAHwGbgDGAPYACgFhfEA9mbG9hdEJ1dHRvbkNlbGzUAA4AUwBUAFUAVgAf
+AUUBoYAugAKAQoBaXxAcRlNBX2Fzc29jaWF0ZUFuZE9wZW5Ccm93c2VyOtQADgBTAaQBpQGmAUMBqAGp
+WE5TTWFya2VyVk5TRmlsZYBegDuAXYBcXxAQTlNUb29sVGlwSGVscEtleV8QNldoZW4gY2hlY2tlZCwg
+dGhpcyBwYWxldHRlIGZsb2F0cyBhYm92ZSBvdGhlciB3aW5kb3dzLtIANwA4Aa0BrqIBrgA7XxARTlNJ
+QkhlbHBDb25uZWN0b3LSAA4APgGwAbGAYqoBHQBiAUUBSgBXAFgAZQFDAboBZ4A1gAuAQoA9gBmACoAO
+gDuAYIBE0gAOADIAMwG+gASAYV1OU0FwcGxpY2F0aW9u0gA3ADgBwQDQogDQADvSAA4APgGwAcSAYqoA
+HwEdAGIBQwBiAGIAWABiAB8BRYACgDWAC4A7gAuAC4AKgAuAAoBC0gAOAD4BsAHRgGKrAR0AYgFFAUoA
+HwBXAFgAZQFDAboBZ4A1gAuAQoA9gAKAGYAKgA6AO4BggETSAA4APgGwAd+AYqsB4AHhAeIB4wHkAeUB
+5gHnAegB6QHqgGaAZ4BogGmAaoBrgGyAbYBugG+AcFVQYW5lbFxDb250ZW50IFZpZXdfEC5TcXVhcmUg
+VGV4dHVyZWQgQnV0dG9uIChCcm93c2VyIEZvciBUYXJnZXQuLi4pXxATQnV0dG9uIENlbGwgKEZsb2F0
+KVxGaWxlJ3MgT3duZXJfEBBJbnRlcnByZXRlciBWaWV3XxAlU3F1YXJlIFRleHR1cmVkIEJ1dHRvbiAo
+T3BlbiBCcm93c2VyKV8QGkJ1dHRvbiBDZWxsIChPcGVuIEJyb3dzZXIpXxARQ2hlY2sgQm94IChGbG9h
+dClbQXBwbGljYXRpb25fECNCdXR0b24gQ2VsbCAoQnJvd3NlciBGb3IgVGFyZ2V0Li4uKdIADgA+AbAB
++IBioNIADgA+AbAB+4BioNIADgA+AbAB/oBirxAVAGIATQBXAE4AWABlAEoASwBQAFEBHQBJAUUATAFK
+AB8ATwFDAEgBugFngAuAU4AZgFWACoAOgDKANIBZgFuANYAvgEKAUYA9gAKAV4A7gAmAYIBE0gAOAD4B
+sAIWgGKvEBUCFwIYAhkCGgIbAhwCHQIeAh8CIAIhAiICIwIkAiUCJgInAigCKQIqAiuAdYB2gHeAeIB5
+gHqAe4B8gH2AfoB/gICAgYCCgIOAhICFgIaAh4CIgIkQBhA3EAcQChAsEDQQNhAJEDAQOhAFEAsQLRAO
+EDIQORA4EA0QLhP//////////RA10gAOAD4ARgJDgB6g0gAOAD4BsAJGgGKg0gAOAD4BsAJJgGKg0gA3
+ADgCSwJMogJMADteTlNJQk9iamVjdERhdGEACAAZACIAJwAxADoAPwBEAFIAVABmAYUBiwHWAd0B5AHy
+AgQCIAIuAjoCRgJUAl8CbQKJApcCqgK8AtYC4ALtAu8C8QLzAvUC9wL5AvsC/QL/AwEDAwMFAwcDCQML
+Aw0DDwMRAxoDJgMoAyoDOANBA0oDVQNaA2kDcgOFA44DmQObA5wDpQOsA7kDvwPIA8oD3wPhA+MD5QPn
+A+kD6wPtA+8D8QPzBAQEEgQbBCMEJQQnBCkEKwRMBF4EZgRtBHYEgASJBJUElwSZBJsEnQSgBKEEowSl
+BMIEzQTZBNsE3QTfBOEE4wTlBPoFLwU7BVEFZgV1BYgFmgWlBa8FvQXPBdwF6gXvBfEF8wX1BfcF+QX7
+Bf0F/wYBBgMGCAYRBh4GLwY2Bj0GRgZIBlEGUwZWBmMGbAZxBngGiQaLBo0GjwaQBpkGowalBq4GtQbH
+BtAG2QbiBu8G/AcFBxAHGQcjByoHNgdXB2MHZQdnB2kHawduB3AHcgd0B30HfweCB4QHpQe0B9EH0wfV
+B9cH2AfaB9wH3gfpB/IH+wgDCAwIEwgiCCoIQghLCFQIVghYCGkIdQiDCIUIhwiICIoImwinCK4IyAjK
+CMwIzgjPCNgI2gjdCN8I8Aj3CP4JBAkGCQgJCgkMCREJEwkcCSEJKAksCTUJOglUCV0JYgluCXcJfAmH
+CZAJlQmjCawJtQnJCdgJ4QnoCgAKDwogCiIKJAomCigKOgpDCkoKYQpyCnQKdgp4CnoKjgqfCqEKowql
+CqcK3ArpCvYLDAsaCyQLMgs/C0kLWwtvC3kLhQuHC4kLiwuNC48LmAuaC5wLngugC6ILpAumC8EL1Qvd
+C+YL6AvtC/YL+AwBDAMMBQwHDAkMKgwsDC4MMAwyDDUMNgw4DDoMUQyGDIgMigyMDI4MkAySDJQMmQye
+DKQMrQy5DLsMvQzGDM8M1AzqDQsNDQ0PDRENEw0UDRYNGA0wDWUNZw1pDWsNbQ1vDXENcw2LDZwNng2g
+DaoNsw21DcANyQ3QDekN9A4RDhoOHw4yDkoOWw5dDl8OYQ5jDnAOgQ6DDoUOhw6JDqgOuQ67Dr0Ovw7B
+DsgO2Q7bDt0O3w7hDvMPBA8GDwgPCg8MDysPPA9FD0wPTg9QD1IPVA9nD6APqQ+uD8IPyw/ND+IP5A/m
+D+gP6g/sD+4P8A/yD/QP9g//EAEQAxAREBoQHxAoECoQPxBBEEMQRRBHEEkQSxBNEE8QURBTEFwQXhB1
+EHcQeRB7EH0QfxCBEIMQhRCHEIkQixCUEJYQrRCvELEQsxC1ELcQuRC7EL0QvxDBEMMQyRDWEQcRHREq
+ET0RZRGCEZYRohHIEdER0xHUEd0R3xHgEekR6xIYEhoSHBIeEiASIhIkEiYSKBIqEiwSLhIwEjISNBI2
+EjgSOhI8Ej4SQBJCEksSTRJ6EnwSfhKAEoIShBKGEogSihKMEo4SkBKSEpQSlhKYEpoSnBKeEqASohKk
+EqYSqBKqEqwSrhKwErIStBK2ErgSuhK8Er4SwBLCEsQSxhLIEsoS0xLVEt4S4BLhEuoS7BLtEvYS+BL5
+EwITBwAAAAAAAAICAAAAAAAAAk0AAAAAAAAAAAAAAAAAABMWA</bytes>
+		</object>
+	</data>
+</archive>
Index: unk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/info.nib
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/English.lproj/FSAInterpreterPanel.nib/info.nib	(revision 403)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-<dict>
-	<key>IBDocumentLocation</key>
-	<string>266 87 356 240 0 0 1280 1002 </string>
-	<key>IBFramework Version</key>
-	<string>443.0</string>
-	<key>IBOpenObjects</key>
-	<array>
-		<integer>5</integer>
-	</array>
-	<key>IBSystem Version</key>
-	<string>8I127</string>
-</dict>
-</plist>
Index: /trunk/Cocoa/F-Script Anywhere/Source/FSAController.h
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 403)
+++ /trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 404)
@@ -33,4 +33,7 @@
 @interface FSAController : NSWindowController {
     IBOutlet FSInterpreterView *interpreterView;
+    IBOutlet NSButtonCell *floatButtonCell;
+    IBOutlet NSButton *openBrowserButton;
+    IBOutlet NSButton *associateWithInterfaceButton;
     System *system;
     FSAViewAssociationController *viewAssociationController;
Index: /trunk/Cocoa/F-Script Anywhere/Source/FSAController.m
===================================================================
--- /trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 403)
+++ /trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 404)
@@ -40,4 +40,8 @@
 @interface FSInterpreterView (FSAWorkaround)
 - (CLIView *)cliView;
+@end
+
+@interface NSWindow (RoundedCorners)
+- (void)setBottomCornerRounded:(BOOL)yn;
 @end
 
@@ -153,4 +157,11 @@
 	if (showInterpreter) {
 	    NSAssert(window != nil, @"Can't get interpreter window!");
+	    if ([window respondsToSelector: @selector(setBottomCornerRounded:)])
+		[window setBottomCornerRounded: NO]; // XXX otherwise we get black areas because the window isn't rounded
+	    [window setContentBorderThickness: 30 forEdge: NSMinYEdge];
+	    // XXX why oh why is text not vertically centered in standard-sized buttons?
+	    [openBrowserButton setFrameSize: NSMakeSize([openBrowserButton frame].size.width, 19)];
+	    [associateWithInterfaceButton setFrameSize: NSMakeSize([associateWithInterfaceButton frame].size.width, 19)];
+	    [floatButtonCell setBackgroundStyle: NSBackgroundStyleRaised];
 	    if (interpreterNum == 0) interpreterNum = ++numInterpWindows;
 	    if ( (label = [self interpreterLabel]) != nil) {
